Package Details: x3270 4.0ga14-1

Git Clone URL: https://aur.archlinux.org/x3270.git (read-only, click to copy)
Package Base: x3270
Description: An IBM 3270 terminal emulator for the X Window System
Upstream URL: http://x3270.bgp.nu/
Licenses: BSD, MIT
Submitter: None
Maintainer: tuftedocelot (GiRa)
Last Packager: GiRa
Votes: 35
Popularity: 0.147840
First Submitted: 2006-08-09 22:35
Last Updated: 2021-08-03 15:34

Latest Comments

1 2 3 Next › Last »

dehpef commented on 2021-08-12 05:42

When starting up x3270 from the console the following messages do appear:

Warning: Cannot convert string "-*-helvetica-bold-r-normal--14-*-100-100-p-*-iso8859-1" to type FontStruct

Warning: Unable to load any usable fontset

I'm using Manjaro. Fonts in the emulation itself are working fine, it's just these menu items.

Thank you.

GiRa commented on 2021-08-11 18:47

I created an Arch Linux VM today. I installed only xorg, xfce4, lightdm-gtk-greeter, and x3270. I cannot reproduce this behavior.

What happens when launching x3270 from the command line? Is there some useful message on the console?

mmacdonaldsce commented on 2021-08-11 17:06

Did you look at: Command line options: https://x3270.miraheze.org/wiki/-codepage_command-line_option_(pr3287) and Character sets: https://x3270.miraheze.org/wiki/Host_code_page ?? Will look more later, but it feels like someone changed a default somewhere along the line.

dehpef commented on 2021-08-11 07:13

I'm experiencing the same issue as prakash2033. Any help would be much appreciated. Cheers.

prakash2033 commented on 2021-07-20 21:59

I have installed x3270 on my arch linux laptop. For some reason, the menu appears in any other language than english. Can you please suggest which font family is required to be installed for this to work correctly.

x3270 window screenshot: https://imgur.com/a/NwtS0Ov

horuden commented on 2021-05-18 21:41

GiRa, thanks for the patch, worked perfect for me! I appreciate all the effort that has gone into packaging x3270!

GiRa commented on 2020-12-06 15:38

Long overdue, here's a patch to update to the latest version.

From a4999810a3007cb634bdd2ba552d75db3f17d533 Mon Sep 17 00:00:00 2001
From: davidegirardi <davidegirardi googlesmtp>
Date: Sun, 6 Dec 2020 16:01:08 +0100
Subject: [PATCH] Update to version 4.0ga12

---
 PKGBUILD | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

diff --git a/PKGBUILD b/PKGBUILD
index 4b1143b..d5a8e4e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,32 +1,35 @@
 # Maintainer: tuftedocelot <tuftedocelot@fastmail.fm>
 # Contributor: Davbo <dave@davbo.org>
+# Contributor: Davide Girardi <davidegirardi googlesmtp>
 pkgname=x3270
-pkgver=3.6ga12
+pkgver=4.0ga12
 pkgrel=1
+pkgpath=04.00
 pkgdesc="An IBM 3270 terminal emulator for the X Window System"
 arch=('i686' 'x86_64')
 url="http://x3270.bgp.nu/"
 license=('BSD' 'MIT')
 depends=('openssl' 'libxaw' 'xorg-mkfontdir' 'tcl')
-makedepends=('imake' 'openssl' 'libx11' 'libxaw' 'libxt' 'xbitmaps' 'xorg-bdftopcf')
+makedepends=('openssl' 'libx11' 'libxaw' 'libxt' 'xbitmaps' 'xorg-bdftopcf' 'readline' 'ncurses' 'm4')
 backup=(etc/x3270/ibm_hosts)
 install=x3270.install
-source=(http://downloads.sourceforge.net/sourceforge/x3270/suite3270-$pkgver-src.tgz 
+source=(http://x3270.bgp.nu/download/$pkgpath/suite3270-$pkgver-src.tgz
    x3270.desktop)

-sha256sums=('af64218a3643605b75996612383459dceb12ecdf7e86956d5860bf2ccb40ede3'
+sha256sums=('d2e5030b67f01aed7c74dd906114d44dbc89a103d32ed0db564bf80033b8e4fb'
             'bb3f1a301ca4f6d6d4f4cafe451945a55a9af7995d712a0f314fc58dfb16da6f')

 build() {
    cd $srcdir/suite3270-${pkgver:0:3} 
-   ./configure --prefix=/usr --bindir=/usr/bin --sysconfdir=/etc --with-fontdir=/usr/share/fonts/3270
+   ./configure --enable-unix --enable-c3270 --prefix=/usr --bindir=/usr/bin --sysconfdir=/etc --with-fontdir=/usr/share/fonts/3270

-   make unix || return 1
+   make all || return 1

  }
  package() {
    cd $srcdir/suite3270-${pkgver:0:3}
    make DESTDIR=$pkgdir/ install || return 1
+   make DESTDIR=$pkgdir/ install.man || return 1

    chmod 644 $pkgdir/etc/x3270/ibm_hosts

-- 
2.29.2

GiRa commented on 2020-07-07 12:06

Sorry for not replying, I didn't get a notification for some reason.

I can start look into it :)

tuftedocelot commented on 2020-06-27 13:04

Yes, that would be great if you could help with version 4. I haven't actively used x3270 for some time, but it has been a low maintenance package to keep updated thus far

GiRa commented on 2020-06-27 08:51

I just wanted to thank you for maintaining this package. Let me know if you need some help with the update to version 4.